/** @file MOMPackageManager.idl
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

    [
		NoInterfaceObject,
        ActiveDOMObject,
        Conditional=RMAI,
        JSGenerateToJSObject,
        JSGenerateToNativeObject,
    ] interface MOMPackageManager : EventTarget {

        readonly attribute MOMPackageList all;

        [Custom] MOMPackageList createFilteredList( in long type, in optional boolean signalled, in optional boolean stored, in optional boolean builtin, in optional boolean displayInMenu );
        void store( in DOMString pkg );
        void store( in MOMPackageDescriptor pkg );
        void upgrade( in MOMPackageDescriptor pkg );
        void remove( in MOMPackageDescriptor pkg );
        void setPackageRoot( in DOMString root, in long period );
        void setManifestUri( in DOMString uri, in DOMString base_uri );
        void scanDirectory( in DOMString directory );
    };
